Bug 48776 - APR 1.4.x buildconf fails on Mac OS X 10.6.2 - needs fix backported from trunk
Summary: APR 1.4.x buildconf fails on Mac OS X 10.6.2 - needs fix backported from trunk
Status: RESOLVED FIXED
Alias: None
Product: APR
Classification: Unclassified
Component: APR (show other bugs)
Version: HEAD
Hardware: Macintosh Mac OS X 10.4
: P2 normal (vote)
Target Milestone: ---
Assignee: Apache Portable Runtime bugs mailinglist
URL:
Keywords: PatchAvailable
Depends on:
Blocks:
 
Reported: 2010-02-19 12:44 UTC by Dan Poirier
Modified: 2011-02-14 15:51 UTC (History)
2 users (show)



Attachments
Patch to merge r748902 and r757363 to resolve the problem (4.45 KB, patch)
2010-02-25 18:39 UTC, Dan Poirier
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Poirier 2010-02-19 12:44:57 UTC
APR 1.4.x buildconf fails on Mac OS X 10.6.2 with this output:

$ ./buildconf
buildconf: checking installation...
buildconf: python version 2.6.1 (ok)
buildconf: autoconf version 2.61 (ok)
buildconf: libtool version 2.2.4 (ok)
Copying libtool helper files ...
$_prefix/share/aclocal/libtool.m4 not found

This is due to buildconf trying to get the value of aclocal_dir by parsing glibtoolize.  In this case the relevant lines from /usr/bin/glibtoolize are:

prefix=/usr
...
aclocaldir=$_prefix/share/aclocal

so aclocal_dir ends up set to '$_prefix/share/aclocal' when it ought to be /usr/share/aclocal.

Backporting r748902 and r757363 from trunk to 1.4 appears to resolve the problem by getting the information in a different way.
Comment 1 Dan Poirier 2010-02-25 18:39:10 UTC
Created attachment 25062 [details]
Patch to merge r748902 and r757363 to resolve the problem
Comment 2 Guenter Knauf 2011-02-14 12:02:25 UTC
Dan,
(In reply to comment #1)
> Created an attachment (id=25062) [details]
> Patch to merge r748902 and r757363 to resolve the problem
did http://svn.apache.org/viewvc?view=revision&revision=919390 fully solve the issue for you? If so we might close this bug ...
Comment 3 Dan Poirier 2011-02-14 15:51:46 UTC
Yes, APR 1.4.x buildconf from subversion now works on Mac OS X 10.6.6.